1. #1

    Why cant i play this?

    So i am trying to play it, but it says i am below the minimum but, as far i can see i am above it
    CPU
    Minimum: Intel Pentium D 2.8 GHz or AMD Athlon 64 X2 4400+
    You Have: AMD Phenom(tm) 9600 Quad-Core Processor
    PASS

    CPU Speed
    Minimum: Info
    You Have: 2.3 GHz


    RAM
    Minimum: 1 GB RAM (1.5 GB required for Windows Vista/Windows 7 users)
    You Have: 2.1 GB
    PASS

    OS
    Minimum: Windows XP/Windows Vista/Windows 7 (Latest Service Packs)
    You Have: Microsoft Windows Vista Business Edition Service Pack 1 (build 6001), 32-bit
    PASS
    Click here for the latest Windows drivers.

    Video Card
    Minimum: NVIDIA GeForce 7800 GT or ATI Radeon X1950 Pro or better
    You Have: ATI Radeon HD 3800 Series
    PASS
    Click here for the latest Video drivers.
    Features: Minimum attributes of your Video Card
    Required You Have
    Pixel Shader version 3.0 4.1
    Vertex Shader version 3.0 4.1
    Dedicated Video RAM 256 MB 512 MB

    Free Disk Space
    Minimum: 12 GB
    You Have: 176.5 GB
    PASS

    How come i can not play it?

    ---------- Post added 2012-05-14 at 05:15 PM ----------

    i am asking this forum for i know there are some people who is much better then me at this hope you can help me guys
    (i am 20 and dyslexic so yes i suck at spelling)

  2. #2
    The Lightbringer Whitey's Avatar
    Join Date
    Dec 2010
    Location
    Earth
    Posts
    3,239
    It's the GPU most likely.
    WBMA - Leave our beards alone

    Skype, PS3 & Steam - Whiteington

    Battletag - Whitey#2918 - feel free to add me, I'm a social animal

  3. #3
    Moderator chazus's Avatar
    Join Date
    Nov 2011
    Location
    Las Vegas
    Posts
    10,535
    Update video drivers, see if that makes a difference.

  4. #4
    Wich Catalyst version are you running?

    A blue poster said a while back...
    If you're using ATI's Catalyst 12.4 release, you need to revert to an earlier version. 12.4 isn't going to be supported for use in Diablo III.
    *Edit* There is a catalyst 12.4a hotfix driver now though that will work, so you need to update to that.
    Last edited by Mitsjel; 2012-05-14 at 05:25 PM.

  5. #5
    Quote Originally Posted by chazus View Post
    Update video drivers, see if that makes a difference.
    You may have the 12.4 version of radeon drivers.

    see this (http://us.battle.net/d3/en/forum/topic/4888569301) post.

    You may also be afflicted with the EU bug if you're in that region see this: (http://eu.battle.net/d3/en/forum/topic/4008460883#1) post.

  6. #6
    i tried to go to AMD Driver Autodetect, and i have the newest, and the one i have is ATI Radeon HD 3800 so i should not be effekted by it. as far i as i can read, but thanks for all the replyes, but still cant.
    (i am 20 and dyslexic so yes i suck at spelling)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •